Bug 1297350 - (CVE-2016-1498) CVE-2016-1498 owncloud: reflected XSS in OCS provider discovery
CVE-2016-1498 owncloud: reflected XSS in OCS provider discovery
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160106,reported=2...
: Security
Depends On: 1297352 1297353 1297354
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 05:10 EST by Andrej Nemec
Modified: 2016-01-11 10:57 EST (History)
1 user (show)

See Also:
Fixed In Version: owncloud 8.2.2 owncloud 8.1.5 owncloud 8.0.10 owncloud 7.0.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2016-01-11 05:10:02 EST
A Cross-site scripting (XSS) vulnerability in the OCS discovery provider in ownCloud Servers allows remote attackers to inject arbitrary web script or HTML via the URL resulting in a reflected Cross-Site-Scripting.

Since ownCloud employs a strict Content-Security-Policy that forbids inline script execution this bug is unlikely to be exploitable on recent browsers that support Content-Security-Policy. (Firefox >= 23, Chrome >= 25, Safari >= 7, Microsoft Edge)

External Reference:

https://owncloud.org/security/advisory/?id=oc-sa-2016-001
Comment 1 Andrej Nemec 2016-01-11 05:14:37 EST
Created owncloud tracking bugs for this issue:

Affects: fedora-all [bug 1297352]
Affects: epel-6 [bug 1297353]
Affects: epel-7 [bug 1297354]

Note You need to log in before you can comment on or make changes to this bug.